stages:
  - build
  - test

docker-build-master:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE" .
    - docker push "$CI_REGISTRY_IMAGE"
  only:
    changes:
      - Dockerfile
      - requirements.txt

run-pytest:
  stage: test
  script:
    - cd rest_aurant
    - python manage.py makemigrations
    - python manage.py migrate
    - pytest tests -s
  image: "$CI_REGISTRY_IMAGE"
